Index: applications/editors/josm/plugins/turnrestrictions/data/test-cases.osm
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/data/test-cases.osm	(revision 20701)
+++ applications/editors/josm/plugins/turnrestrictions/data/test-cases.osm	(revision 20701)
@@ -0,0 +1,165 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<osm version='0.6' generator='JOSM'>
+  <bounds minlat='46.914158099999995' minlon='7.3788643' maxlat='46.930806499999996' maxlon='7.4164581' origin='OpenStreetMap server' />
+  <node id='-94' action='modify' visible='true' lat='46.92118998017687' lon='7.383993510066159' />
+  <node id='-92' action='modify' visible='true' lat='46.91990939642803' lon='7.38399351006616'>
+    <tag k='name' v='node 7.3' />
+  </node>
+  <node id='-91' visible='true' lat='46.9199878003943' lon='7.380435012966924' />
+  <node id='-78' visible='true' lat='46.923359062408515' lon='7.383840456427483' />
+  <node id='-76' action='modify' visible='true' lat='46.921921728576876' lon='7.383802193017814'>
+    <tag k='name' v='node 6.3' />
+  </node>
+  <node id='-75' visible='true' lat='46.921973995937314' lon='7.38016716909924' />
+  <node id='-38' timestamp='2010-03-27T10:39:59Z' visible='true' lat='46.92880973833219' lon='7.402406615822886' />
+  <node id='-36' timestamp='2010-03-27T10:39:59Z' visible='true' lat='46.92880973833219' lon='7.39972817714604' />
+  <node id='-34' timestamp='2010-03-27T10:39:59Z' visible='true' lat='46.92752933671926' lon='7.396934948240187' />
+  <node id='-32' timestamp='2010-03-27T10:39:59Z' visible='true' lat='46.927581598608725' lon='7.3936442950086345' />
+  <node id='-30' timestamp='2010-03-27T10:39:59Z' visible='true' lat='46.92828712912576' lon='7.396820158011179' />
+  <node id='-28' timestamp='2010-03-27T10:39:59Z' visible='true' lat='46.92828712912576' lon='7.393606031598966' />
+  <node id='-26' timestamp='2010-03-27T10:39:59Z' visible='true' lat='46.928835868658666' lon='7.396743631191842' />
+  <node id='-24' timestamp='2010-03-27T10:39:59Z' visible='true' lat='46.928861998972394' lon='7.393606031598966' />
+  <node id='-22' timestamp='2010-03-27T10:39:59Z' visible='true' lat='46.92888812927337' lon='7.390162324728737' />
+  <node id='-20' timestamp='2010-03-27T10:39:59Z' visible='true' lat='46.92888812927337' lon='7.386948198316524' />
+  <node id='-18' timestamp='2010-03-27T10:39:59Z' visible='true' lat='46.92773838397117' lon='7.383657545084972' />
+  <node id='-16' timestamp='2010-03-27T10:39:59Z' visible='true' lat='46.92779064565668' lon='7.380252101624412' />
+  <node id='-14' timestamp='2010-03-27T10:39:59Z' visible='true' lat='46.92833939027588' lon='7.3837340719043105' />
+  <node id='-12' timestamp='2010-03-27T10:39:59Z' visible='true' lat='46.928365520831804' lon='7.3802903650340825' />
+  <node id='-10' timestamp='2010-03-27T10:39:59Z' visible='true' lat='46.92888812927337' lon='7.383619281675304' />
+  <node id='-8' timestamp='2010-03-27T10:39:59Z' visible='true' lat='46.92888812927337' lon='7.3802903650340825' />
+  <node id='-6' timestamp='2010-03-27T10:52:49Z' visible='true' lat='46.9243377340131' lon='7.380169082269725' />
+  <node id='-4' action='modify' timestamp='2010-03-27T10:52:49Z' visible='true' lat='46.9242959219737' lon='7.383689315959293'>
+    <tag k='name' v='node 5.3' />
+  </node>
+  <node id='-2' action='modify' timestamp='2010-03-27T10:52:49Z' visible='true' lat='46.925759323935175' lon='7.383689315959293' />
+  <node id='3193150' action='delete' timestamp='2010-03-14T11:36:30Z' uid='1' user='guggis' visible='true' version='1' changeset='3301' lat='46.9295464' lon='7.3922341' />
+  <node id='3193151' action='delete' timestamp='2010-03-14T11:36:30Z' uid='1' user='guggis' visible='true' version='1' changeset='3301' lat='46.9295464' lon='7.397716' />
+  <node id='3193152' action='delete' timestamp='2010-03-14T11:36:56Z' uid='1' user='guggis' visible='true' version='1' changeset='3300' lat='46.9276142' lon='7.3927056' />
+  <node id='3193153' action='delete' timestamp='2010-03-14T11:36:56Z' uid='1' user='guggis' visible='true' version='1' changeset='3300' lat='46.9273727' lon='7.3963602' />
+  <way id='-96' action='modify' visible='true'>
+    <nd ref='-92' />
+    <nd ref='-94' />
+    <tag k='name' v='way 7.2' />
+  </way>
+  <way id='-93' action='modify' visible='true'>
+    <nd ref='-91' />
+    <nd ref='-92' />
+    <tag k='name' v='way 7.1' />
+  </way>
+  <way id='-81' action='modify' visible='true'>
+    <nd ref='-76' />
+    <nd ref='-78' />
+    <tag k='name' v='way 6.2' />
+  </way>
+  <way id='-77' action='modify' visible='true'>
+    <nd ref='-75' />
+    <nd ref='-76' />
+    <tag k='name' v='way 6.1' />
+  </way>
+  <way id='-62' action='modify' timestamp='2010-03-27T10:39:59Z' visible='true'>
+    <nd ref='-36' />
+    <nd ref='-38' />
+    <tag k='name' v='way 4.1' />
+  </way>
+  <way id='-60' action='modify' timestamp='2010-03-27T10:39:59Z' visible='true'>
+    <nd ref='-32' />
+    <nd ref='-34' />
+    <tag k='name' v='way 3.3' />
+  </way>
+  <way id='-58' action='modify' timestamp='2010-03-27T10:39:59Z' visible='true'>
+    <nd ref='-28' />
+    <nd ref='-30' />
+    <tag k='name' v='way 3.2' />
+  </way>
+  <way id='-56' action='modify' timestamp='2010-03-27T10:39:59Z' visible='true'>
+    <nd ref='-24' />
+    <nd ref='-26' />
+    <tag k='name' v='way 3.1' />
+  </way>
+  <way id='-54' action='modify' timestamp='2010-03-27T10:39:59Z' visible='true'>
+    <nd ref='-20' />
+    <nd ref='-22' />
+    <tag k='name' v='way 2.1' />
+  </way>
+  <way id='-52' action='modify' timestamp='2010-03-27T10:39:59Z' visible='true'>
+    <nd ref='-16' />
+    <nd ref='-18' />
+    <tag k='name' v='way 1.3' />
+  </way>
+  <way id='-50' action='modify' timestamp='2010-03-27T10:39:59Z' visible='true'>
+    <nd ref='-12' />
+    <nd ref='-14' />
+    <tag k='name' v='way 1.2' />
+  </way>
+  <way id='-48' action='modify' timestamp='2010-03-27T10:39:59Z' visible='true'>
+    <nd ref='-8' />
+    <nd ref='-10' />
+    <tag k='name' v='way 1.1' />
+  </way>
+  <way id='-46' action='modify' timestamp='2010-03-27T10:52:49Z' visible='true'>
+    <nd ref='-6' />
+    <nd ref='-4' />
+    <tag k='name' v='way 5.1' />
+  </way>
+  <way id='-44' action='modify' timestamp='2010-03-27T10:52:49Z' visible='true'>
+    <nd ref='-4' />
+    <nd ref='-2' />
+    <tag k='name' v='way 5.2' />
+  </way>
+  <way id='85091' action='delete' timestamp='2010-03-14T11:36:30Z' uid='1' user='guggis' visible='true' version='1' changeset='3301'>
+  </way>
+  <way id='85092' action='delete' timestamp='2010-03-14T11:36:56Z' uid='1' user='guggis' visible='true' version='1' changeset='3300'>
+  </way>
+  <relation id='-103' action='modify' visible='true'>
+    <member type='way' ref='-93' role='from' />
+    <member type='way' ref='-96' role='to' />
+    <member type='node' ref='-92' role='via' />
+    <tag k='except' v='non-standard-except' />
+    <tag k='name' v='Test Case 7 - Non-Standard-Excepts' />
+    <tag k='restriction' v='no_right_turn' />
+    <tag k='type' v='restriction' />
+  </relation>
+  <relation id='-90' visible='true'>
+    <member type='way' ref='-77' role='from' />
+    <member type='way' ref='-81' role='to' />
+    <tag k='name' v='Test Case 6 - Missing node as &apos;via&apos;' />
+    <tag k='restriction' v='no_left_turn' />
+    <tag k='type' v='restriction' />
+  </relation>
+  <relation id='-74' action='modify' timestamp='2010-03-27T10:39:59Z' visible='true'>
+    <member type='way' ref='-62' role='from' />
+    <tag k='name' v='Test Case 4 - No &apos;to&apos; ways' />
+    <tag k='restriction' v='no_left_turn' />
+    <tag k='type' v='restriction' />
+  </relation>
+  <relation id='-72' timestamp='2010-03-27T10:39:59Z' visible='true'>
+    <member type='way' ref='-56' role='from' />
+    <member type='way' ref='-58' role='to' />
+    <member type='way' ref='-60' role='to' />
+    <tag k='name' v='Test Case 3 - 2 &apos;tp&apos; ways' />
+    <tag k='restriction' v='no_left_turn' />
+    <tag k='type' v='restriction' />
+  </relation>
+  <relation id='-70' timestamp='2010-03-27T10:39:59Z' visible='true'>
+    <member type='way' ref='-54' role='to' />
+    <tag k='name' v='Test Case 2 - No from way' />
+    <tag k='restriction' v='no_left_turn' />
+    <tag k='type' v='restriction' />
+  </relation>
+  <relation id='-68' timestamp='2010-03-27T10:39:59Z' visible='true'>
+    <member type='way' ref='-48' role='from' />
+    <member type='way' ref='-50' role='from' />
+    <member type='way' ref='-52' role='to' />
+    <tag k='name' v='Test Case 1 - 2 from ways' />
+    <tag k='restriction' v='no_left_turn' />
+    <tag k='type' v='restriction' />
+  </relation>
+  <relation id='-66' action='modify' timestamp='2010-03-27T10:52:49Z' visible='true'>
+    <member type='way' ref='-46' role='from' />
+    <member type='way' ref='-44' role='to' />
+    <member type='node' ref='-4' role='via' />
+    <tag k='name' v='Test Case 5 - Non-Standard restriction' />
+    <tag k='restriction' v='non-standard-restriction' />
+    <tag k='type' v='restriction' />
+  </relation>
+</osm>
Index: applications/editors/josm/plugins/turnrestrictions/data/test-data-set-1.osm
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/data/test-data-set-1.osm	(revision 20489)
+++ applications/editors/josm/plugins/turnrestrictions/data/test-data-set-1.osm	(revision 20701)
@@ -2,175 +2,185 @@
 <osm version='0.6' generator='JOSM'>
   <bounds minlat='46.9185552' minlon='7.3901081' maxlat='46.9271138' maxlon='7.4086475' origin='OpenStreetMap server' />
-  <node id='-106' action='modify' visible='true' lat='46.92028078273882' lon='7.401045898188405' />
-  <node id='-104' action='modify' visible='true' lat='46.919302014885396' lon='7.401068288768116'>
+  <node id='-56' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.920401695281015' lon='7.392672484176534' />
+  <node id='-54' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.91947481836078' lon='7.394608244994619' />
+  <node id='-52' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.91947481836078' lon='7.392692440473628' />
+  <node id='-50' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.9194611876982' lon='7.391036067814855' />
+  <node id='-48' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.920906018634135' lon='7.399118368137783' />
+  <node id='-46' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.921737460284035' lon='7.40135347341227' />
+  <node id='-44' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.921737460284035' lon='7.39909841184069' />
+  <node id='-42' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.921737460284035' lon='7.3971426947255114' />
+  <node id='-40' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.92280059638277' lon='7.392991784930033' />
+  <node id='-38' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.92175109036751' lon='7.394767895371367' />
+  <node id='-36' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.92175109036752' lon='7.393011741227126' />
+  <node id='-34' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.921737460284014' lon='7.390916330032293' />
+  <node id='-32' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.92375467491946' lon='7.391245608934339' />
+  <node id='-30' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.92378193405656' lon='7.394298922389664' />
+  <node id='-28' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.92450429613562' lon='7.394298922389665' />
+  <node id='-26' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.924517925515175' lon='7.391285521528527' />
+  <node id='-24' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.925969434589156' lon='7.404077507965554' />
+  <node id='-22' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.925955805578894' lon='7.401802490096877' />
+  <node id='-20' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.925955805578894' lon='7.39940773444564' />
+  <node id='-18' timestamp='2010-03-09T09:06:53Z' visible='true' lat='46.92569685372496' lon='7.3913653467169' />
+  <node id='-16' timestamp='2010-03-09T09:06:53Z' visible='true' lat='46.92566959556225' lon='7.393261194940797' />
+  <node id='-14' action='modify' timestamp='2010-03-09T09:06:53Z' visible='true' lat='46.92654852689992' lon='7.393198680597321' />
+  <node id='-12' timestamp='2010-03-09T09:06:53Z' visible='true' lat='46.9265827364623' lon='7.395296737244347' />
+  <node id='-10' timestamp='2010-03-09T09:06:53Z' visible='true' lat='46.9265827364623' lon='7.397511886221743' />
+  <node id='-8' timestamp='2010-03-09T09:06:53Z' visible='true' lat='46.925560562772716' lon='7.397471973627557' />
+  <node id='-6' action='modify' timestamp='2010-03-15T22:32:09Z' visible='true' lat='46.91930201488541' lon='7.399142698913044' />
+  <node id='-4' action='modify' timestamp='2010-03-15T22:32:09Z' visible='true' lat='46.919302014885396' lon='7.401068288768116'>
     <tag k='name' v='node 8.3' />
   </node>
-  <node id='-103' action='modify' visible='true' lat='46.91930201488541' lon='7.399142698913044' />
-  <node id='-50' timestamp='2010-03-09T09:06:53Z' visible='true' lat='46.925560562772716' lon='7.397471973627557' />
-  <node id='-48' timestamp='2010-03-09T09:06:53Z' visible='true' lat='46.9265827364623' lon='7.397511886221743' />
-  <node id='-46' timestamp='2010-03-09T09:06:53Z' visible='true' lat='46.9265827364623' lon='7.395296737244347' />
-  <node id='-44' timestamp='2010-03-09T09:06:53Z' visible='true' lat='46.92662362300419' lon='7.39328115123789' />
-  <node id='-42' timestamp='2010-03-09T09:06:53Z' visible='true' lat='46.92566959556225' lon='7.393261194940797' />
-  <node id='-40' timestamp='2010-03-09T09:06:53Z' visible='true' lat='46.92569685372496' lon='7.3913653467169' />
-  <node id='-38' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.925955805578894' lon='7.39940773444564' />
-  <node id='-36' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.925955805578894' lon='7.401802490096877' />
-  <node id='-34' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.925969434589156' lon='7.404077507965554' />
-  <node id='-32' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.924517925515175' lon='7.391285521528527' />
-  <node id='-30' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.92450429613562' lon='7.394298922389665' />
-  <node id='-28' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.92378193405656' lon='7.394298922389664' />
-  <node id='-26' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.92375467491946' lon='7.391245608934339' />
-  <node id='-24' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.921737460284014' lon='7.390916330032293' />
-  <node id='-22' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.92175109036752' lon='7.393011741227126' />
-  <node id='-20' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.92175109036751' lon='7.394767895371367' />
-  <node id='-18' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.92280059638277' lon='7.392991784930033' />
-  <node id='-16' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.921737460284035' lon='7.3971426947255114' />
-  <node id='-14' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.921737460284035' lon='7.39909841184069' />
-  <node id='-12' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.921737460284035' lon='7.40135347341227' />
-  <node id='-10' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.920906018634135' lon='7.399118368137783' />
-  <node id='-8' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.9194611876982' lon='7.391036067814855' />
-  <node id='-6' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.91947481836078' lon='7.392692440473628' />
-  <node id='-4' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.91947481836078' lon='7.394608244994619' />
-  <node id='-2' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true' lat='46.920401695281015' lon='7.392672484176534' />
-  <way id='-107' action='modify' visible='true'>
-    <nd ref='-104' />
-    <nd ref='-106' />
-    <tag k='name' v='way.8.2' />
+  <node id='-2' action='modify' timestamp='2010-03-15T22:32:09Z' visible='true' lat='46.92028078273882' lon='7.401045898188405' />
+  <way id='-96' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true'>
+    <nd ref='-52' />
+    <nd ref='-54' />
+    <tag k='name' v='way 7.2' />
   </way>
-  <way id='-105' action='modify' visible='true'>
-    <nd ref='-103' />
-    <nd ref='-104' />
-    <tag k='name' v='way.8.1' />
+  <way id='-94' timestamp='2010-03-15T09:31:53Z' visible='true'>
+    <nd ref='-52' />
+    <nd ref='-56' />
   </way>
-  <way id='-86' action='modify' timestamp='2010-03-09T09:06:53Z' visible='true'>
+  <way id='-92' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true'>
+    <nd ref='-50' />
+    <nd ref='-52' />
+    <tag k='name' v='way 7.1' />
+  </way>
+  <way id='-90' timestamp='2010-03-15T09:31:53Z' visible='true'>
+    <nd ref='-44' />
+    <nd ref='-46' />
+  </way>
+  <way id='-88' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true'>
+    <nd ref='-44' />
     <nd ref='-48' />
-    <nd ref='-50' />
-    <tag k='name' v='Weg 2.2' />
+    <tag k='name' v='way 6.2' />
   </way>
-  <way id='-84' action='modify' timestamp='2010-03-09T09:06:53Z' visible='true'>
-    <nd ref='-46' />
-    <nd ref='-48' />
-    <tag k='name' v='Weg 2.1' />
-  </way>
-  <way id='-82' action='modify' timestamp='2010-03-09T09:06:53Z' visible='true'>
+  <way id='-86' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true'>
     <nd ref='-42' />
     <nd ref='-44' />
-    <tag k='name' v='Weg 1.2' />
+    <tag k='name' v='way 6.1' />
   </way>
-  <way id='-80' action='modify' timestamp='2010-03-09T09:06:53Z' visible='true'>
+  <way id='-84' timestamp='2010-03-15T09:31:53Z' visible='true'>
+    <nd ref='-36' />
+    <nd ref='-38' />
+  </way>
+  <way id='-82' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true'>
+    <nd ref='-36' />
     <nd ref='-40' />
-    <nd ref='-42' />
-    <tag k='name' v='Weg 1.1' />
+    <tag k='name' v='way 5.2' />
   </way>
-  <way id='-78' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true'>
-    <nd ref='-38' />
+  <way id='-80' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true'>
+    <nd ref='-34' />
     <nd ref='-36' />
-    <tag k='name' v='Weg 3.1' />
+    <tag k='name' v='way 5.1' />
+  </way>
+  <way id='-78' timestamp='2010-03-15T09:31:53Z' visible='true'>
+    <nd ref='-28' />
+    <nd ref='-30' />
   </way>
   <way id='-76' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true'>
-    <nd ref='-36' />
-    <nd ref='-34' />
-    <tag k='name' v='Weg 3.2' />
+    <nd ref='-30' />
+    <nd ref='-32' />
+    <tag k='name' v='way 4.2' />
   </way>
   <way id='-74' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true'>
-    <nd ref='-32' />
-    <nd ref='-30' />
+    <nd ref='-26' />
+    <nd ref='-28' />
     <tag k='name' v='way 4.1' />
   </way>
   <way id='-72' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true'>
-    <nd ref='-28' />
-    <nd ref='-26' />
-    <tag k='name' v='way 4.2' />
+    <nd ref='-22' />
+    <nd ref='-24' />
+    <tag k='name' v='Weg 3.2' />
   </way>
-  <way id='-70' timestamp='2010-03-15T09:31:53Z' visible='true'>
-    <nd ref='-30' />
-    <nd ref='-28' />
+  <way id='-70' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true'>
+    <nd ref='-20' />
+    <nd ref='-22' />
+    <tag k='name' v='Weg 3.1' />
   </way>
-  <way id='-68' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true'>
-    <nd ref='-24' />
-    <nd ref='-22' />
-    <tag k='name' v='way 5.1' />
+  <way id='-68' action='modify' timestamp='2010-03-09T09:06:53Z' visible='true'>
+    <nd ref='-18' />
+    <nd ref='-16' />
+    <tag k='name' v='Weg 1.1' />
   </way>
-  <way id='-66' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true'>
-    <nd ref='-22' />
-    <nd ref='-18' />
-    <tag k='name' v='way 5.2' />
-  </way>
-  <way id='-64' timestamp='2010-03-15T09:31:53Z' visible='true'>
-    <nd ref='-22' />
-    <nd ref='-20' />
-  </way>
-  <way id='-62' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true'>
+  <way id='-66' action='modify' timestamp='2010-03-09T09:06:53Z' visible='true'>
     <nd ref='-16' />
     <nd ref='-14' />
-    <tag k='name' v='way 6.1' />
+    <tag k='name' v='Weg 1.2' />
   </way>
-  <way id='-60' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true'>
-    <nd ref='-14' />
+  <way id='-64' action='modify' timestamp='2010-03-09T09:06:53Z' visible='true'>
+    <nd ref='-12' />
     <nd ref='-10' />
-    <tag k='name' v='way 6.2' />
+    <tag k='name' v='Weg 2.1' />
   </way>
-  <way id='-58' timestamp='2010-03-15T09:31:53Z' visible='true'>
-    <nd ref='-14' />
-    <nd ref='-12' />
+  <way id='-62' action='modify' timestamp='2010-03-09T09:06:53Z' visible='true'>
+    <nd ref='-10' />
+    <nd ref='-8' />
+    <tag k='name' v='Weg 2.2' />
   </way>
-  <way id='-56' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true'>
-    <nd ref='-8' />
-    <nd ref='-6' />
-    <tag k='name' v='way 7.1' />
-  </way>
-  <way id='-54' timestamp='2010-03-15T09:31:53Z' visible='true'>
-    <nd ref='-6' />
-    <nd ref='-2' />
-  </way>
-  <way id='-52' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true'>
+  <way id='-60' action='modify' timestamp='2010-03-15T22:32:09Z' visible='true'>
     <nd ref='-6' />
     <nd ref='-4' />
-    <tag k='name' v='way 7.2' />
+    <tag k='name' v='way.8.1' />
   </way>
-  <relation id='-100' timestamp='2010-03-09T09:06:53Z' visible='true'>
-    <member type='way' ref='-84' role='from' />
-    <member type='way' ref='-86' role='to' />
+  <way id='-58' action='modify' timestamp='2010-03-15T22:32:09Z' visible='true'>
+    <nd ref='-4' />
+    <nd ref='-2' />
+    <tag k='name' v='way.8.2' />
+  </way>
+  <relation id='-114' visible='true'>
+    <member type='way' ref='-60' role='from' />
+    <member type='way' ref='-58' role='to' />
+    <member type='node' ref='-4' role='via' />
+    <tag k='restriction' v='no_left_turn' />
+    <tag k='type' v='restriction' />
+  </relation>
+  <relation id='-110' timestamp='2010-03-15T09:31:53Z' visible='true'>
+    <member type='way' ref='-92' role='from' />
+    <member type='way' ref='-96' role='to' />
+    <member type='node' ref='-52' role='via' />
+    <tag k='restriction' v='only_straight_on' />
+    <tag k='type' v='restriction' />
+  </relation>
+  <relation id='-108' timestamp='2010-03-15T09:31:53Z' visible='true'>
+    <member type='way' ref='-86' role='from' />
+    <member type='way' ref='-88' role='to' />
+    <member type='node' ref='-44' role='via' />
+    <tag k='restriction' v='only_right_turn' />
+    <tag k='type' v='restriction' />
+  </relation>
+  <relation id='-106' timestamp='2010-03-15T09:31:53Z' visible='true'>
+    <member type='way' ref='-80' role='from' />
+    <member type='way' ref='-82' role='to' />
+    <member type='node' ref='-36' role='via' />
+    <tag k='restriction' v='only_left_turn' />
+    <tag k='type' v='restriction' />
+  </relation>
+  <relation id='-104' timestamp='2010-03-15T09:31:53Z' visible='true'>
+    <member type='way' ref='-74' role='from' />
+    <member type='way' ref='-76' role='to' />
+    <member type='way' ref='-78' role='via' />
+    <tag k='restriction' v='no_u_turn' />
+    <tag k='type' v='restriction' />
+  </relation>
+  <relation id='-102' action='modify' timestamp='2010-03-15T09:31:53Z' visible='true'>
+    <member type='way' ref='-70' role='from' />
+    <member type='way' ref='-72' role='to' />
+    <member type='node' ref='-22' role='via' />
+    <tag k='restriction' v='no_straight_on' />
+    <tag k='type' v='restriction' />
+  </relation>
+  <relation id='-100' action='modify' timestamp='2010-03-09T09:06:53Z' visible='true'>
+    <member type='way' ref='-68' role='from' />
+    <member type='way' ref='-66' role='to' />
+    <member type='node' ref='-16' role='via' />
+    <tag k='restriction' v='no_left_turn' />
+    <tag k='type' v='restriction' />
+  </relation>
+  <relation id='-98' action='modify' timestamp='2010-03-09T09:06:53Z' visible='true'>
+    <member type='way' ref='-64' role='from' />
+    <member type='way' ref='-62' role='to' />
+    <member type='node' ref='-10' role='via' />
     <tag k='restriction' v='no_right_turn' />
     <tag k='type' v='restriction' />
   </relation>
-  <relation id='-98' timestamp='2010-03-09T09:06:53Z' visible='true'>
-    <member type='way' ref='-80' role='from' />
-    <member type='way' ref='-82' role='to' />
-    <tag k='restriction' v='no_left_turn' />
-    <tag k='type' v='restriction' />
-  </relation>
-  <relation id='-96' timestamp='2010-03-15T09:31:53Z' visible='true'>
-    <member type='way' ref='-78' role='from' />
-    <member type='way' ref='-76' role='to' />
-    <tag k='restriction' v='no_straight_on' />
-    <tag k='type' v='restriction' />
-  </relation>
-  <relation id='-94' timestamp='2010-03-15T09:31:53Z' visible='true'>
-    <member type='way' ref='-74' role='from' />
-    <member type='way' ref='-72' role='to' />
-    <member type='way' ref='-70' role='via' />
-    <tag k='restriction' v='no_u_turn' />
-    <tag k='type' v='restriction' />
-  </relation>
-  <relation id='-92' timestamp='2010-03-15T09:31:53Z' visible='true'>
-    <member type='way' ref='-68' role='from' />
-    <member type='way' ref='-66' role='to' />
-    <member type='node' ref='-22' role='via' />
-    <tag k='restriction' v='only_left_turn' />
-    <tag k='type' v='restriction' />
-  </relation>
-  <relation id='-90' timestamp='2010-03-15T09:31:53Z' visible='true'>
-    <member type='way' ref='-62' role='from' />
-    <member type='way' ref='-60' role='to' />
-    <member type='node' ref='-14' role='via' />
-    <tag k='restriction' v='only_right_turn' />
-    <tag k='type' v='restriction' />
-  </relation>
-  <relation id='-88' timestamp='2010-03-15T09:31:53Z' visible='true'>
-    <member type='way' ref='-56' role='from' />
-    <member type='way' ref='-52' role='to' />
-    <member type='node' ref='-6' role='via' />
-    <tag k='restriction' v='only_straight_on' />
-    <tag k='type' v='restriction' />
-  </relation>
 </osm>