Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CacheControl.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CacheControl.java	(revision 20765)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CacheControl.java	(revision 20824)
@@ -22,5 +22,5 @@
 import org.openstreetmap.josm.Main;
 import org.openstreetmap.josm.data.projection.LambertCC9Zones;
-import org.openstreetmap.josm.data.projection.UTM_20N_France_DOM;
+import org.openstreetmap.josm.data.projection.UTM_France_DOM;
 
 public class CacheControl implements Runnable {
@@ -211,5 +211,5 @@
         if (Main.proj instanceof LambertCC9Zones)
             ext = cLambertCC9Z + ext;
-        else if (Main.proj instanceof UTM_20N_France_DOM)
+        else if (Main.proj instanceof UTM_France_DOM)
             ext = cUTM20N + ext;
         return ext;
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CacheFileUTM20NFilter.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CacheFileUTM20NFilter.java	(revision 20765)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CacheFileUTM20NFilter.java	(revision 20824)
@@ -19,5 +19,6 @@
         new CacheFileUTM20NFilter("utm1", tr("Guadeloupe Fort-Marigot cache file (.UTM1)")),
         new CacheFileUTM20NFilter("utm2", tr("Guadeloupe Ste-Anne cache file (.UTM2)")),
-        new CacheFileUTM20NFilter("utm3", tr("Martinique Fort Desaix cache file (.UTM3)"))
+        new CacheFileUTM20NFilter("utm3", tr("Martinique Fort Desaix cache file (.UTM3)")),
+        new CacheFileUTM20NFilter("utm4", tr("Reunion RGR92 cache file (.UTM4)"))
         };
 
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastrePlugin.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastrePlugin.java	(revision 20765)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastrePlugin.java	(revision 20824)
@@ -342,6 +342,5 @@
     public static boolean isCadastreProjection() {
         return Main.proj.toString().equals(new Lambert().toString())
-            || Main.proj.toString().equals(new UTM_20N_France_DOM().toString())
-            || Main.proj.toString().equals(new GaussLaborde_Reunion().toString())
+            || Main.proj.toString().equals(new UTM_France_DOM().toString())
             || Main.proj.toString().equals(new LambertCC9Zones().toString());
     }
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionLoadFromCache.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionLoadFromCache.java	(revision 20765)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionLoadFromCache.java	(revision 20824)
@@ -13,5 +13,5 @@
 import org.openstreetmap.josm.data.projection.Lambert;
 import org.openstreetmap.josm.data.projection.LambertCC9Zones;
-import org.openstreetmap.josm.data.projection.UTM_20N_France_DOM;
+import org.openstreetmap.josm.data.projection.UTM_France_DOM;
 import org.openstreetmap.josm.gui.layer.Layer;
 
@@ -40,5 +40,5 @@
                     !(Main.proj instanceof LambertCC9Zones))
                     || (ext.length() == 4 && ext.substring(0, CacheControl.cUTM20N.length()).equals(CacheControl.cUTM20N) &&
-                            !(Main.proj instanceof UTM_20N_France_DOM))
+                            !(Main.proj instanceof UTM_France_DOM))
                     || (ext.length() == 1) && !(Main.proj instanceof Lambert)) {
                         JOptionPane.showMessageDialog(Main.parent, tr("{0} not allowed with the current projection", filename), tr("Error"), JOptionPane.ERROR_MESSAGE);
@@ -93,5 +93,5 @@
             else if (Main.proj instanceof LambertCC9Zones)
                 fc.addChoosableFileFilter(CacheFileLambert9ZoneFilter.filters[layoutZone]);
-            else if (Main.proj instanceof UTM_20N_France_DOM)
+            else if (Main.proj instanceof UTM_France_DOM)
                 fc.addChoosableFileFilter(CacheFileUTM20NFilter.filters[layoutZone]);
         }
@@ -111,6 +111,6 @@
         else if (Main.proj instanceof Lambert)
             zone = ((Lambert)Main.proj).getLayoutZone();
-        else if (Main.proj instanceof UTM_20N_France_DOM)
-            zone = ((UTM_20N_France_DOM)Main.proj).getCurrentGeodesic();
+        else if (Main.proj instanceof UTM_France_DOM)
+            zone = ((UTM_France_DOM)Main.proj).getCurrentGeodesic();
         return zone;
     }
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionNewLocation.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionNewLocation.java	(revision 20765)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionNewLocation.java	(revision 20824)
@@ -17,5 +17,5 @@
 import org.openstreetmap.josm.data.projection.Lambert;
 import org.openstreetmap.josm.data.projection.LambertCC9Zones;
-import org.openstreetmap.josm.data.projection.UTM_20N_France_DOM;
+import org.openstreetmap.josm.data.projection.UTM_France_DOM;
 import org.openstreetmap.josm.gui.layer.Layer;
 import org.openstreetmap.josm.tools.GBC;
@@ -82,6 +82,6 @@
             else if (Main.proj instanceof Lambert)
                 zone = ((Lambert)Main.proj).getLayoutZone();
-            else if (Main.proj instanceof UTM_20N_France_DOM)
-                zone = ((UTM_20N_France_DOM)Main.proj).getCurrentGeodesic();
+            else if (Main.proj instanceof UTM_France_DOM)
+                zone = ((UTM_France_DOM)Main.proj).getCurrentGeodesic();
             wmsLayer = new WMSLayer(location, codeCommune, zone);
             CadastrePlugin.addWMSLayer(wmsLayer);