Index: applications/editors/josm/i18n/po/et.po
===================================================================
--- applications/editors/josm/i18n/po/et.po	(revision 20945)
+++ applications/editors/josm/i18n/po/et.po	(revision 20973)
@@ -8,6 +8,6 @@
 "Project-Id-Version: josm\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2010-04-20 18:19+0200\n"
-"PO-Revision-Date: 2010-04-14 19:57+0000\n"
+"POT-Creation-Date: 2010-04-23 22:02+0200\n"
+"PO-Revision-Date: 2010-04-20 18:14+0000\n"
 "Last-Translator: lyyser <logard.1961@gmail.com>\n"
 "Language-Team: Estonian <et@li.org>\n"
@@ -16,5 +16,5 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2010-04-20 15:50+0000\n"
+"X-Launchpad-Export-Date: 2010-04-23 20:39+0000\n"
 "X-Generator: Launchpad (build Unknown)\n"
 
@@ -279,8 +279,8 @@
 #: ../plugins/photo_geotagging/src/org/openstreetmap/josm/plugins/photo_geotagging/GeotaggingAction.java:259
 #: ../plugins/tageditor/src/org/openstreetmap/josm/plugins/tageditor/TagEditorDialog.java:288
-#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:272
+#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:274
 #: ../plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionEditor.java:740
 #: ../plugins/wmsplugin/src/wmsplugin/Map_Rectifier_WMSmenuAction.java:151
-#: ../plugins/wmsplugin/src/wmsplugin/WMSAdjustAction.java:179
+#: ../plugins/wmsplugin/src/wmsplugin/WMSAdjustAction.java:178
 msgid "Cancel"
 msgstr "Katkesta"
@@ -412,5 +412,5 @@
 #: ../plugins/photo_geotagging/src/org/openstreetmap/josm/plugins/photo_geotagging/GeotaggingAction.java:110
 #: ../plugins/tageditor/src/org/openstreetmap/josm/plugins/tageditor/TagEditorDialog.java:302
-#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:258
+#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:260
 #: ../plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionEditor.java:686
 msgid "OK"
@@ -2428,18 +2428,18 @@
 msgstr ""
 
-#: ../core/src/org/openstreetmap/josm/actions/mapmode/SelectAction.java:542
+#: ../core/src/org/openstreetmap/josm/actions/mapmode/SelectAction.java:543
 msgid "Release the mouse button to select the objects in the rectangle."
 msgstr ""
 
-#: ../core/src/org/openstreetmap/josm/actions/mapmode/SelectAction.java:544
+#: ../core/src/org/openstreetmap/josm/actions/mapmode/SelectAction.java:545
 msgid ""
 "Release the mouse button to stop moving. Ctrl to merge with nearest node."
 msgstr ""
 
-#: ../core/src/org/openstreetmap/josm/actions/mapmode/SelectAction.java:546
+#: ../core/src/org/openstreetmap/josm/actions/mapmode/SelectAction.java:547
 msgid "Release the mouse button to stop rotating."
 msgstr "Pööramise lõpetamiseks vabasta hiire nupp."
 
-#: ../core/src/org/openstreetmap/josm/actions/mapmode/SelectAction.java:548
+#: ../core/src/org/openstreetmap/josm/actions/mapmode/SelectAction.java:549
 msgid ""
 "Move objects by dragging; Shift to add to selection (Ctrl to toggle); Shift-"
@@ -3466,5 +3466,5 @@
 #. translators notes must be in front
 #. column header: enable filter
-#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:162
+#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:166
 msgctxt "filter"
 msgid "E"
@@ -3472,5 +3472,5 @@
 
 #. column header: hide filter
-#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:163
+#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:167
 msgctxt "filter"
 msgid "H"
@@ -3478,5 +3478,5 @@
 
 #. column header: filter text
-#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:164
+#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:168
 msgctxt "filter"
 msgid "Text"
@@ -3484,5 +3484,5 @@
 
 #. column header: apply filter for children
-#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:165
+#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:169
 msgctxt "filter"
 msgid "C"
@@ -3490,5 +3490,5 @@
 
 #. column header: inverted filter
-#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:166
+#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:170
 msgctxt "filter"
 msgid "I"
@@ -3496,5 +3496,5 @@
 
 #. column header: filter mode
-#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:167
+#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:171
 msgctxt "filter"
 msgid "M"
@@ -3503,5 +3503,5 @@
 #. translators notes must be in front
 #. filter mode: replace
-#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:235
+#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:239
 msgctxt "filter"
 msgid "R"
@@ -3509,5 +3509,5 @@
 
 #. filter mode: add
-#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:236
+#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:240
 msgctxt "filter"
 msgid "A"
@@ -3515,5 +3515,5 @@
 
 #. filter mode: remove
-#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:237
+#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:241
 msgctxt "filter"
 msgid "D"
@@ -3521,24 +3521,24 @@
 
 #. filter mode: in selection
-#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:238
+#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:242
 msgctxt "filter"
 msgid "F"
 msgstr ""
 
-#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:265
+#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:269
 msgid "<h2>Filter active</h2>"
 msgstr ""
 
-#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:271
+#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:275
 #, java-format
 msgid "<p><b>{0}</b> objects hidden"
 msgstr ""
 
-#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:279
+#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:283
 #, java-format
 msgid "<b>{0}</b> objects disabled"
 msgstr ""
 
-#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:282
+#: ../core/src/org/openstreetmap/josm/data/osm/Filters.java:286
 msgid "</p><p>Close the filter dialog to see all objects.<p></html>"
 msgstr ""
@@ -5605,5 +5605,5 @@
 msgstr ""
 
-#: ../core/src/org/openstreetmap/josm/gui/dialogs/FilterDialog.java:218
+#: ../core/src/org/openstreetmap/josm/gui/dialogs/FilterDialog.java:217
 #, java-format
 msgid "Filter Hidden: {0} Disabled: {0}"
@@ -11061,5 +11061,5 @@
 #: ../plugins/addrinterpolation/src/org/openstreetmap/josm/plugins/AddrInterpolation/AddrInterpolationDialog.java:107
 #: ../plugins/piclayer/src/org/openstreetmap/josm/plugins/piclayer/ResetPictureAllAction.java:44
-#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:286
+#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:288
 #: ../plugins/terracer/src/terracer/HouseNumberInputHandler.java:278
 msgid "All"
@@ -16910,54 +16910,54 @@
 msgstr ""
 
-#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:61
+#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:62
 msgid "Enter housenumbers or amount of segments"
 msgstr ""
 
-#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:100
+#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:101
 msgid "Terrace a house"
 msgstr ""
 
-#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:140
+#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:141
 msgid "Interpolation"
 msgstr ""
 
-#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:142
+#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:143
 #: ../plugins/terracer/src/terracer/HouseNumberInputHandler.java:92
 msgid "Segments"
 msgstr ""
 
-#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:144
+#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:145
 msgid "Street"
 msgstr ""
 
-#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:146
+#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:147
+msgid "Lowest Number"
+msgstr ""
+
+#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:149
+msgid "Lowest housenumber of the terraced house"
+msgstr ""
+
+#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:151
 msgid "Highest Number"
 msgstr ""
 
-#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:148
-msgid "Lowest Number"
-msgstr ""
-
-#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:150
-msgid "Lowest housenumber of the terraced house"
-msgstr ""
-
-#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:151
+#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:152
 msgid "add to existing associatedStreet relation"
 msgstr ""
 
-#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:151
+#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:152
 msgid "create an associatedStreet relation"
 msgstr ""
 
-#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:153
+#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:154
 msgid "delete outline way"
 msgstr ""
 
-#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:169
+#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:170
 msgid "Street name: "
 msgstr ""
 
-#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:287
+#: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:289
 msgid "Even/Odd"
 msgstr ""
@@ -17082,7 +17082,6 @@
 
 #: ../plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/BasicEditorPanel.java:54
-#, fuzzy
 msgid "Type:"
-msgstr "tüüp"
+msgstr ""
 
 #: ../plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/BasicEditorPanel.java:64
@@ -17255,12 +17254,10 @@
 
 #: ../plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionEditor.java:754
-#, fuzzy
 msgid "Delete this turn restriction"
-msgstr "Pöördekeelud"
+msgstr ""
 
 #: ../plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionEditor.java:784
-#, fuzzy
 msgid "Select this turn restriction"
-msgstr "Pöördekeelud"
+msgstr ""
 
 #: ../plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionEditor.java:810
@@ -17968,9 +17965,9 @@
 msgstr ""
 
-#: ../plugins/validator/src/org/openstreetmap/josm/plugins/validator/tests/CrossingWays.java:126
+#: ../plugins/validator/src/org/openstreetmap/josm/plugins/validator/tests/CrossingWays.java:139
 msgid "Crossing buildings"
 msgstr ""
 
-#: ../plugins/validator/src/org/openstreetmap/josm/plugins/validator/tests/CrossingWays.java:126
+#: ../plugins/validator/src/org/openstreetmap/josm/plugins/validator/tests/CrossingWays.java:139
 msgid "Crossing ways"
 msgstr ""
@@ -18648,21 +18645,21 @@
 msgstr ""
 
-#: ../plugins/wmsplugin/src/wmsplugin/WMSAdjustAction.java:173
+#: ../plugins/wmsplugin/src/wmsplugin/WMSAdjustAction.java:172
 msgid "Please select the WMS layer to adjust."
 msgstr ""
 
+#: ../plugins/wmsplugin/src/wmsplugin/WMSAdjustAction.java:177
+msgid "Select WMS layer"
+msgstr ""
+
 #: ../plugins/wmsplugin/src/wmsplugin/WMSAdjustAction.java:178
-msgid "Select WMS layer"
-msgstr ""
-
-#: ../plugins/wmsplugin/src/wmsplugin/WMSAdjustAction.java:179
 msgid "Start adjusting"
 msgstr ""
 
+#: ../plugins/wmsplugin/src/wmsplugin/WMSAdjustAction.java:197
+msgid "There are currently no WMS layer to adjust."
+msgstr ""
+
 #: ../plugins/wmsplugin/src/wmsplugin/WMSAdjustAction.java:198
-msgid "There are currently no WMS layer to adjust."
-msgstr ""
-
-#: ../plugins/wmsplugin/src/wmsplugin/WMSAdjustAction.java:199
 msgid "No layers to adjust"
 msgstr ""
@@ -26405,7 +26402,6 @@
 
 #: build/trans_presets.java:2729
-#, fuzzy
 msgid "bicycle_tube"
-msgstr "jalgrattaga"
+msgstr ""
 
 #: build/trans_presets.java:2729